List Responses

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://reference.textline.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Textline API MCP server": {
    "url": "https://reference.textline.com/mcp"
  }
}

Close
GET /api/survey/{uuid}/responses.json

Get a list of responses to a survey. By default it will return responses from the last 30 days. Date range can be adjusted in the request parameters.

Responses

  • 200 application/json

    OK

    Hide response attribute Show response attribute object
    • responses array
GET /api/survey/{uuid}/responses.json
curl \
 --request GET 'https://application.textline.com/api/survey/{uuid}/responses.json'
Response examples (200)
{
  "responses": [
    {
      "category": "promoter",
      "customer": {
        "avatar_url": "https://example.com/image.png",
        "blocked": false,
        "archived": false,
        "name": "Chuck Finley",
        "notes": "``",
        "phone_number": "(222) 222-2222",
        "reachable_by_sms": true,
        "tags": [
          "foo",
          "bar"
        ],
        "uuid": "deb79a6a-0652-4e14-86f2-dc8c5c502369",
        "facebook_id": "null",
        "custom_fields": {
          "c43a1766-47e1-4c9c-a2cc-36bf424fcbc0": "Custom_Field_1_value",
          "116bad5a-6233-472d-bcf0-199d53342a82": "null"
        },
        "consent_status": true,
        "verified": true
      },
      "first_response_at": "1568298996",
      "follow_up": "'Love it!'",
      "invalid_rating_response": "null",
      "rating": "10",
      "resolver": "null",
      "survey_sent_at": "2019-09-12T14:36:27.561Z",
      "survey_type": "this is a sample response for NPS surveys",
      "tags": [
        "Great",
        "Needs Review"
      ],
      "uuid": "bf3474d8-ba85-456c-95d8-6d0c6e2a197b"
    },
    {
      "customer": {
        "avatar_url": "https://example.com/image.png",
        "blocked": false,
        "archived": false,
        "name": "Chuck Finley",
        "notes": "``",
        "phone_number": "(222) 222-2222",
        "reachable_by_sms": true,
        "tags": [
          "foo",
          "bar"
        ],
        "uuid": "deb79a6a-0652-4e14-86f2-dc8c5c502369",
        "facebook_id": "null",
        "custom_fields": {
          "c43a1766-47e1-4c9c-a2cc-36bf424fcbc0": "Custom_Field_1_value",
          "116bad5a-6233-472d-bcf0-199d53342a82": "null"
        },
        "consent_status": true,
        "verified": true
      },
      "effort_rating": "5",
      "effort_resolver": "null",
      "effort_uuid": "942fb2ca-ec77-11ea-adc1-0242ac120002",
      "first_response_at": "1594676414",
      "follow_up": "Great service, keep it going!",
      "invalid_effort_response": "null",
      "invalid_satisfaction_response": "null",
      "satisfaction_rating": "5",
      "satisfaction_resolver": "null",
      "satisfaction_uuid": "a548ca06-ec77-11ea-adc1-0242ac120002",
      "survey_sent_at": "2020-07-13T21:40:04.975Z",
      "survey_type": "this is a sample response for CSAT surveys",
      "tags": [],
      "target_group": {
        "name": "Sales",
        "phone_number": "(222) 222-2222",
        "uuid": "deb79a6a-0652-4e14-86f2-dc8c5c502369",
        "is_sms_group": true
      },
      "target_user": {
        "avatar_url": "https://example.com/image.png",
        "name": "Chuck Finley",
        "on_call": true,
        "username": "ChuckF",
        "uuid": "deb79a6a-0652-4e14-86f2-dc8c5c502369",
        "email": "chuckf@textline.com",
        "permission_level": "Admin",
        "group_uuids": [
          "21ca50a9-a85d-49d1-9266-0df69fd5a9ef",
          "35c450e8-5b60-46e2-b691-481419462c16"
        ]
      },
      "uuid": "b5cd8e0c-ec77-11ea-adc1-0242ac120002"
    },
    {
      "customer": {
        "avatar_url": "https://example.com/image.png",
        "blocked": false,
        "archived": false,
        "name": "Chuck Finley",
        "notes": "``",
        "phone_number": "(222) 222-2222",
        "reachable_by_sms": true,
        "tags": [
          "foo",
          "bar"
        ],
        "uuid": "deb79a6a-0652-4e14-86f2-dc8c5c502369",
        "facebook_id": "null",
        "custom_fields": {
          "c43a1766-47e1-4c9c-a2cc-36bf424fcbc0": "Custom_Field_1_value",
          "116bad5a-6233-472d-bcf0-199d53342a82": "null"
        },
        "consent_status": true,
        "verified": true
      },
      "first_response_at": "1594676414",
      "responses": [
        {
          "invalid_response": "``",
          "prompt": "question 1 text",
          "response": "question 1 answer or response"
        },
        {
          "invalid_response": "``",
          "prompt": "question 2 text",
          "response": "question 2 answer or response"
        }
      ],
      "survey_sent_at": "2020-07-13T21:40:04.975Z",
      "survey_type": "this is a sample response for custom surveys",
      "tags": [],
      "uuid": "b5cd8e0c-ec77-11ea-adc1-0242ac120002"
    }
  ]
}